# Uses of Class
org.apache.felix.http.base.internal.whiteboard.WhiteboardManager

Packages that use WhiteboardManager
Package
Description
org.apache.felix.http.base.internal.dispatch
org.apache.felix.http.base.internal.service
org.apache.felix.http.base.internal.whiteboard.tracker

## Uses of WhiteboardManager in org.apache.felix.http.base.internal.dispatch

Methods in org.apache.felix.http.base.internal.dispatch with parameters of type WhiteboardManager
Modifier and Type
Method
Description
`void`
Dispatcher.`setWhiteboardManager(@Nullable WhiteboardManager service)`
Set or unset the whiteboard manager.

## Uses of WhiteboardManager in org.apache.felix.http.base.internal.service

Constructors in org.apache.felix.http.base.internal.service with parameters of type WhiteboardManager
Modifier
Constructor
Description
``
`HttpServiceRuntimeImpl(HandlerRegistry registry, WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext)`

## Uses of WhiteboardManager in org.apache.felix.http.base.internal.whiteboard.tracker

Constructors in org.apache.felix.http.base.internal.whiteboard.tracker with parameters of type WhiteboardManager
Modifier
Constructor
Description
``
`FilterTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
``
`JavaxFilterTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
Create new tracker
``
`JavaxListenersTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
Create new tracker
``
`JavaxPreprocessorTracker(org.osgi.framework.BundleContext bundleContext, WhiteboardManager contextManager)`
Create a new tracker
``
`JavaxServletContextHelperTracker(@NotNull org.osgi.framework.BundleContext context, @NotNull WhiteboardManager manager)`
Create a new tracker
``
`JavaxServletTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
Create new tracker
``
`ListenersTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
``
`PreprocessorTracker(org.osgi.framework.BundleContext bundleContext, WhiteboardManager contextManager)`
Create a new tracker
``
`ResourceTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
``
`ServletContextHelperTracker(@NotNull org.osgi.framework.BundleContext context, @NotNull WhiteboardManager manager)`
``
`ServletTracker(org.osgi.framework.BundleContext context, WhiteboardManager manager)`
``
`WhiteboardServiceTracker(WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext, String filterExpr)`
Create a new tracker